﻿:root {
    --darker-glass-gradient: radial-gradient(circle at top left, #92BCF699 0%, transparent 50%), radial-gradient(circle at top right, #9c92f799 20%, transparent 90%), radial-gradient(circle farthest-corner at bottom right, #90D6F999 10%, #90b6f999 80%);
    --glass-gradient: radial-gradient(circle at top left, #f4fafbcc 0%, transparent 50%), radial-gradient(circle at top right, #f4f8fbcc 20%, transparent 90%), radial-gradient(circle farthest-corner at bottom right, #f2f5ffcc 15%, #f4fafbcc 80%);
    --app-bar-background-color: #a3b9cc99;
    --glass-background-color: rgb(230, 239, 241, 0.8);
    --glass-darker-background-color: rgb(80, 85, 86, .5);
    --glass-foreground-color: rgba(219,233,255,.8);
    --primary-button-gradient: linear-gradient(90deg, #5d88c4, #4a65ce, #5d88c4);
    --secondary-button-gradient: linear-gradient(90deg, #999999, #808080, #999999);
    --tertiary-button-gradient: linear-gradient(90deg, #8292b4, #62769f, #8292b4);
    --error-button-gradient: linear-gradient(90deg, #f13f3c, #d1423f, #f13f3c);
    --info-button-gradient: linear-gradient(90deg, #75caeb, #67abc6, #75caeb);
    --success-button-gradient: linear-gradient(90deg, #28b62c, #219d24, #28b62c);
    --warning-button-gradient: linear-gradient(90deg, #ff851b, #e9740e, #ff851b);
    --text-color: rgb(239, 251, 251);
}

.--darkMode {
    --darker-glass-gradient: radial-gradient(circle at top left, #0B408C 0%, transparent 50%), radial-gradient(circle at top right, #650B8C 20%, transparent 90%), radial-gradient(circle farthest-corner at bottom right, #075075 10%, #075075 80%);
    --glass-gradient: radial-gradient(circle at top left, rgba(11, 64, 140, .4) 0%, transparent 50%), radial-gradient(circle at top right, rgba(101, 11, 140, .4) 20%, transparent 90%), radial-gradient(circle farthest-corner at bottom right, rgba(7, 80, 117, .4) 10%, rgba(7, 80, 117, .4) 80%);
    --glass-background-color: rgba(255,255,255,.1);
    --glass-darker-background-color: rgb(230, 239, 241, 0.8);
    --app-bar-background-color: #e3effa;
    --app-bar-background-color: #e3effa;
    --glass-foreground-color: rgba(255,255,255,.2);
    --primary-button-gradient: linear-gradient(90deg, #5d88c4, #4a65ce, #5d88c4);
    --secondary-button-gradient: linear-gradient(90deg, #999999, #808080, #999999);
    --tertiary-button-gradient: linear-gradient(90deg, #8292b4, #62769f, #8292b4);
    --error-button-gradient: linear-gradient(90deg, #f13f3c, #d1423f, #f13f3c);
    --info-button-gradient: linear-gradient(90deg, #75caeb, #67abc6, #75caeb);
    --success-button-gradient: linear-gradient(90deg, #28b62c, #219d24, #28b62c);
    --warning-button-gradient: linear-gradient(90deg, #ff851b, #e9740e, #ff851b);
    --text-color: rgb(8, 56, 74)
}

.mud-tab.mud-tab-active {
    color: var(--mud-palette-primary);
}

.nav-line {
    border-radius: 15px 15px 0px 0px;
}

.nav-line-vertical {
    border-radius: 0 15px 15px 0;
}

.nav-menu-item-vertical {
    padding: 8px 12px 8px 0 !important;
    border-radius: 7px;
    height: 40px;
}

    .nav-menu-item-vertical:not(.active) > p > div > .nav-line-vertical {
        height: 0px;
        margin-top: auto;
        margin-bottom: auto;
        margin-right: 8px;
        transition: height 0.3s ease-out;
    }

    .nav-menu-item-vertical:not(.active):not(:hover) > p > div > .nav-line-vertical {
        margin-right: 12px;
    }

    .nav-menu-item-vertical:not(.active):hover > p > div > .nav-line-vertical {
        height: 30px;
        border: solid 2px var(--mud-palette-tertiary);
    }

.nav-menu-item:not(.active) > .nav-line {
    width: 0%;
    margin-right: auto;
    margin-left: auto;
    transition: width 0.3s ease-out;
}

.nav-menu-item:not(.active):hover > .nav-line {
    width: 100%;
    border: solid 2px var(--mud-palette-tertiary);
}

.nav-menu-item:not(.active):hover > .mb-4 {
    margin-bottom: 12px !important;
}

.active > .nav-line {
    width: 100%;
    border: solid 2px var(--mud-palette-primary);
}

.active > p > div > .nav-line-vertical {
    height: 30px;
    margin-right: 8px;
    border: solid 2px var(--mud-palette-primary);
}

.active > .mb-4 {
    margin-bottom: 12px !important;
}

.active > div > svg {
    fill: var(--mud-palette-primary) !important;
}

.active > div > span {
    color: var(--mud-palette-primary);
}

.active > p > div > span {
    color: var(--mud-palette-primary);
}

.timer-card {
    margin: 10px;
    border: 0px solid;
    position: relative;
    overflow: hidden;
    z-index: 0;
}

.mud-toolbar-appbar, .mud-appbar {
    background: var(--app-bar-background-color);
    backdrop-filter: blur(10px);
}

body {
    background: white;
    min-height: 100vh;
}

.card-background {
    background: var(--mud-palette-surface) !important;
}

.glass-background {
    background: var(--glass-background-color) !important;
    backdrop-filter: blur(5px);
}

.glass-foreground {
    background: var(--glass-foreground-color);
    backdrop-filter: blur(5px);
}

.gradient-background {
    background: var(--glass-gradient);
    background-size: cover;
    backdrop-filter: blur(5px);
}

.darker-glass-background {
    background: var(--darker-glass-gradient);
    background-color: transparent !important;
    backdrop-filter: blur(5px);
}

.transparent-background {
    background-color: transparent;
}

.time-card-stack {
    min-height: 100px;
    height: 100%;
    overflow: hidden;
}

.note-outline {
    border: solid var(--mud-palette-text-primary) 1px;
}

.timer-card-picker {
    background-color: transparent;
    border-radius: 15px;
}

.mud-paper {
    background-color: transparent;
}

.mud-picker-open {
    border-radius: 15px !important;
}

.mud-picker-datepicker-toolbar.mud-theme-primary {
    background: var(--darker-glass-gradient) !important;
    background-color: transparent !important;
    backdrop-filter: blur(5px);
}

.mud-picker-content {
    background: var(--glass-background-color) !important;
    backdrop-filter: blur(5px) !important;
}

.mud-picker-actions {
    background: var(--glass-background-color) !important;
    backdrop-filter: blur(5px) !important;
}

.mud-picker-toolbar {
    background: var(--darker-glass-gradient) !important;
    backdrop-filter: blur(5px) !important;
}

.mud-picker-calendar-header-switch > .mud-icon-button {
    background-color: transparent;
}

.mud-popover-open {
    border-radius: 15px !important;
}

    .mud-popover-open:not(.gradient-background):has(> .mud-list) {
        backdrop-filter: blur(5px);
        background-color: var(--glass-background-color);
    }

.scroll-to-top-background > button {
    background-color: var(--glass-darker-background-color);
    backdrop-filter: blur(5px);
}

.note-card {
    border-radius: 8px;
    margin: 20px 10px 20px 10px;
    position: relative;
    padding: 10px;
    text-wrap: wrap;
    min-height: 100px;
}

.note-dialog {
    height: 85vh;
    border-radius: 15px;
}

.note-preview {
    padding: 10px;
    border-color: var(--mud-palette-text-primary);
    border-radius: 0px 15px 15px 15px;
    border: solid 1px;
    width: 100%;
    background-color: transparent;
    text-align: justify;
}

.note-preview-icon-container {
    border-radius: 30px 10px 0px 0px;
    background-color: var(--mud-palette-text-primary);
    font-weight: 500;
    padding: 0 15px;
    width: 170px;
    max-width: 100%;
    color: var(--text-color);
}

.note-preview-label {
    position: absolute;
    transform: translateY(-50%);
    left: 50%;
}

.note-preview-label--stop {
    top: 50%;
}

.note-preview-label--forced-hide {
    top: -150%;
}

.missing-note-button {
    font-weight: 500;
    color: var(--text-color);
    background-color: var(--mud-palette-text-primary);
    border-radius: 10px;
    height: 32px;
    padding: 0px 8px 0px 8px;
}

.note-dialog > .mud-dialog-title > .d-flex > h5 {
    font-weight: bold;
    margin: 5px 10px 10px 5px;
}

.note-paper {
    border-radius: 10px;
    min-height: 100px;
    text-wrap: wrap;
    margin: 5px 10px 20px 10px;
    padding: 10px 15px 10px 15px;
    text-align: justify;
}

.note-label {
    position: absolute;
    top: -10px;
    background-color: #f00;
    left: 20px;
}

.remove-note {
    position: absolute;
    right: 0;
    top: 0;
    margin: 2px;
}

.note-div-card {
    border-radius: 15px;
    margin: 15px 5px 15px 5px;
    padding: 10px;
    overflow-y: auto;
    position: relative;
}

.note-value-div {
    width: 80%;
    margin-left: 12px;
    text-align: justify;
}

.time-entry-row {
    cursor: pointer;
}

.time-line-div {
    height: 100%;
    padding: 10px 0px 10px 0px;
}

.table {
    margin: 15px;
    border-radius: 15px;
}

    .table .mud-table-body > tr:last-of-type > th {
        border-radius: 0 0 15px 0;
    }

    .table .mud-table-body > tr:last-of-type > td:has(+ th) {
        border-radius: 0 0 0 15px;
    }

.new-task-name-card {
    margin: 15px;
    border-radius: 15px;
}

.time-event-flex-end-div {
    align-items: flex-end;
    padding-right: 10px;
}

.time-event-flex-start-div {
    align-items: flex-start;
}

.day-stack-card {
    padding: 10px;
    margin: 10px;
    border-radius: 15px;
}

.day-stack-card-stack {
    height: 100%;
}

.outline {
    border: 1px solid var(--mud-palette-lines-default) !important;
}

.border-xl {
    border-radius: 15px !important;
}

.border-L {
    border-radius: 10px !important;
}

.expansion-small-padding .mud-expand-panel-content {
    padding: 0px 12px 12px 12px !important;
}

.times-expansion-panel, .mud-panel-expanded {
    margin: 12px !important;
}

    .times-expansion-panel:last-child {
        margin: 12px;
    }

.time-event-card {
    margin: 15px 0px 0px 0px;
    min-height: 80px;
    padding: 0px 10px 0px 10px;
}

.time-event-popover {
    border-radius: 15px;
}

.popover-border-bottom-xl {
    border-radius: 0px 0px 15px 15px;
}

.dialog-background {
    backdrop-filter: blur(5px);
}

.time-entry-dialog {
    border-radius: 15px;
    padding: 5px;
    margin: 15px;
}

.time-entry-dialog-card {
    margin: 5px;
    padding: 5px;
}

.picker-input:not(.mud-toolbar) {
    margin: 15px 5px 15px 5px;
}

.picker-input .mud-input-outlined-border {
    border-radius: 11px !important;
}

.mud-table-toolbar {
    height: auto;
}

.input-button {
    padding: 10px 15px 10px 15px;
    margin: 15px 5px 15px 5px;
}

.dialog-stack-div {
    width: 100%;
}

.chart-panel {
    text-align: center;
}

.setting-paper {
    border-radius: 14px;
}

.arrow-button .mud-icon-size-medium {
    font-size: 1.8rem !important;
}

.main-chart-paper {
    border-radius: 14px;
    padding: 10px;
}

.sub-chart-paper {
    border-radius: 14px;
    padding: 10px;
}

.chart-title {
    font-weight: 700;
}

.chart-subtitle {
    font-weight: 500;
}

.chart-title-div {
    padding: 20px 0px 20px 30px;
}

.skeleton-paper {
    justify-items: center;
    background-color: transparent;
}

.has-value-class {
    position: relative;
}

    .has-value-class > p::after {
        content: "•";
        position: absolute;
        bottom: 50%;
        width: 6px;
        height: 6px;
        left: calc(50% - 5px);
        font-size: 30px;
        color: var(--mud-palette-success);
    }

.has-value-class--red > p::after {
    color: var(--mud-palette-error) !important;
}

.animated-button-auto {
    animation: button-gradient-animation 3.5s linear infinite;
}

.animated-button:hover {
    animation: button-gradient-animation 3.5s linear infinite;
}

.primary-button-background {
    background: var(--primary-button-gradient);
    background-size: 200% 100%;
}

.secondary-button-background {
    background: var(--secondary-button-gradient);
    background-size: 200% 100%;
}

.tertiary-button-background {
    background: var(--tertiary-button-gradient);
    background-size: 200% 100%;
}

.error-button-background {
    background: var(--error-button-gradient);
    background-size: 200% 100%;
}

.info-button-background {
    background: var(--info-button-gradient);
    background-size: 200% 100%;
}

.success-button-background {
    background: var(--success-button-gradient);
    background-size: 200% 100%;
}

.warning-button-background {
    background: var(--warning-button-gradient);
    background-size: 200% 100%;
}

.wave {
    top: 50%;
    left: 50%;
}

.seach-div {
    position: relative;
    border-radius: 15px;
    padding: 15px 15px 15px 40px;
    height: 50px;
    width: 300px;
    margin: 15px 15px 20px 15px;
}

.close-button {
    position: absolute;
    left: 0;
    top: 6px;
    margin: 5px;
}

.no-select {
    user-select: none;
}

.cursor-pointer {
    cursor: pointer;
}

.label-parent {
    position: relative;
    padding: 4px;
}

.label-text {
    position: absolute;
    top: 0px;
    left: 0px;
    transform: translate(20px, -9px);
    background-color: var(--mud-palette-surface);
    border-color: var(--mud-palette-surface);
    border-width: 0px 4px;
    font-size: .9em;
}

.table-group {
    background-color: rgb(224, 224, 224) !important;
    text-align: left;
}

.app-bar {
    width: 100%;
    height: 50px;
    position: fixed;
    z-index: 1300;
    background: var(--app-bar-background-color);
    backdrop-filter: blur(10px);
    box-shadow: var(--mud-elevation-2);
}

.time-input-field > div > div {
    height: 40px;
}

input[type=time]::-webkit-calendar-picker-indicator {
    background: none !important;
    display: none !important;
}

.global-tooltip {
    position: fixed;
    z-index: 2000;
    padding: 4px 8px;
    font-size: 12px;
    border-radius: var(--mud-default-borderradius);
}

    .global-tooltip::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: inherit;
    }

.mud-table-empty-row {
    background-color: transparent !important;
}

.filter-time-button {
    background-color: var(--glass-darker-background-color);
    backdrop-filter: blur(5px);
    z-index: 50;
}

    .filter-time-button:hover {
        background-color: var(--glass-darker-background-color);
    }

.filter-time-card {
    background-color: var(--glass-background-color);
    backdrop-filter: blur(5px);
    position: fixed;
    z-index: 52;
    bottom: 16px;
    right: 16px;
    max-width: 85%;
    max-height: 50vh;
    width: 300px;
    height: 500px;
}

.filter-time-card-content {
    overflow-y: auto;
    max-height: 350px;
}

.hide-on-start {
    display: none;
}

.no-content-card {
    width: 400px;
    height: 150px;
    background-color: var(--mud-palette-surface);
}

.timer-icon > span > svg {
    font-size: 2.5em;
}

.time-display {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    user-select: none;
}

.time-display-font {
    font-family: "Kanit", sans-serif;
    font-variant-numeric: tabular-nums;
}

.time-display-font--bold {
    font-family: "Kanit", sans-serif;
    font-weight: bold;
    font-variant-numeric: tabular-nums;
}

.time-display-label--small {
    letter-spacing: .05em;
    margin-right: 4px;
}

.time-display-label--medium {
    letter-spacing: .06em;
    margin-right: 6px;
}

.time-display-label--large {
    letter-spacing: .06em;
    margin-right: 16px;
}

.mud-scroll-to-top {
    z-index: 40 !important;
}

.details-container {
    height: 50px;
    overflow: hidden;
}

.user-activity-description-text {
    overflow: hidden;
}

.statistics-card-content {
    max-height: 600px;
    overflow-y: auto;
}

.table-detail-background {
    background-color: var(--mud-palette-table-hover) !important;
}

.activities-continer {
    max-height: 80vh;
    overflow: auto;
}

.days-off-container {
    overflow: auto;
    max-height: 50vh;
    height: 100%;
    padding: 16px;
    margin: 0 -8px -8px -8px;
}

.tab-panel-grow {
    display: flex;
    flex-grow: 1;
}

.event-calendar-list-selected {
    color: var(--mud-palette-primary) !important;
    font-size: 24px !important;
    font-weight: 500 !important;
}

.d-grid {
    display: grid !important;
}

.event-calendar-header {
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 1fr;
}

    .event-calendar-header > div {
        border: 1px solid var(--mud-palette-lines-default);
    }

.event-calendar-body-item {
    position: relative;
    border: 1px solid var(--mud-palette-lines-default);
}

    .event-calendar-body-item:hover:not(.event-calendar--today):not(.event-calendar--disabled) {
        background-color: rgba(128,128,128,.1)
    }

.event-calendar-body-item-label {
    position: absolute;
    top: 8px;
    right: 8px;
}

.event-calendar--disabled {
    color: rgba(128,128,128,.5) !important;
    cursor: auto !important;
}

.event-calendar--today {
    background-color: rgba(170, 198, 247, .6);
}

.event-calendar-event {
    position: absolute;
    width: 102%;
    height: 30px;
    padding: 4px;
    left: -1px;
    bottom: 5%;
    z-index: 1500;
    user-select: none;
}

.event--start {
    width: 82% !important;
    left: 20% !important;
    border-radius: 5px 0 0 5px;
}

.event--end {
    width: 82% !important;
    left: unset !important;
    border-radius: 0 5px 5px 0;
    right: 20%;
}

.event--same-day {
    border-radius: 5px;
}

.event--dayOff {
    background-color: var(--mud-palette-error);
}

.hide-dialog-shadow.mud-dialog {
    box-shadow: unset !important;
}

.event-calendar-time-label {
    color: var(--mud-palette-primary-text);
    font-size: .6rem !important;
}
